> For the complete documentation index, see [llms.txt](https://docs.prestashop-project.org/1-5-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prestashop-project.org/1-5-documentation/english-documentation/developer-guide/developer-tutorials/controllers-correspondence-table.md).

# Controllers correspondence table

PrestaShop's PHP files, its controllers and its template files are intricately joined.

This table should help you understand how everything works together.

| Root page               | Controller page              | Template file          | Description                                                 |
| ----------------------- | ---------------------------- | ---------------------- | ----------------------------------------------------------- |
| Cms.php                 | CmsController.php            | Cms.tpl                | Handles CMS pages.                                          |
| contact-form.php        | ContactController.php        | contact-form.tpl       | Handles the contact form.                                   |
| discount.php            | DiscountController.php       | discount.tpl           | Handles discounts.                                          |
| footer.php              |                              | footer.tpl             | Handles the footer of every page. Called by FrontControler. |
| get-file.php            | GetFileController.php        |                        | /                                                           |
| guest-tracking.php      | GuestTrackingController.php  | guest-tracking.tpl     |                                                             |
| header.php              |                              | header.tpl             | Handles the header of every page. Called by FrontControler. |
| history.php             | HistoryController.php        | history.tpl            | Handles the order history.                                  |
| identity.php            | IdentityController.php       | identity.tpl           |                                                             |
| images.inc.php          |                              |                        | /                                                           |
| index.php               | IndexController.php          | n/a                    | /                                                           |
| manufacturer.php        | manufacturerController.php   | manufacturer.tpl       | Handles the list of manufacturers.                          |
| my-account.php          | My-accountController.php     | my-account.tpl         | Handles the user account.                                   |
| new-products.php        | NewProductsController.php    | new-products.tpl       | Handles the display of the latest product.                  |
| order-confirmation.php  | OrderConfirmationController  | order-confirmation.tpl | Handles order confirmation.                                 |
| order-detail.php        | OrderDetailController.php    | order-detail.tpl       | Handles order details.                                      |
| order-follow\.php       | OrderFollowController.php    | order-follow\.tpl      | Handles the product return follow-up.                       |
| order-opc.php           | OrderOpcController.php       | order-opc.tpl          | Handles the one-page checkout.                              |
| order-return.php        | OrderReturnController.php    | order-return.tpl       | Handles the product return.                                 |
| order-slip.php          | OrderSlipController.php      | order-slip.tpl         | Handles the credit slip                                     |
| order.php               | OrderController.php          |                        | Handles the order.                                          |
| password.php            | PasswordController.php       | password.tpl           | Handles the password retrieval.                             |
| pdf-invoice.php         | PdfInvoiceController.php     |                        | Handles the order invoices PDF generation.                  |
| pdf-order-return.php    | PdfOrderReturnController.php |                        | Handles the product return PDF generation.                  |
| pdf-order-slip.php      | pdfOrderSlipController.php   |                        | Handle the credit slip PDF generation.                      |
| price-drop.php          | PricesDropController.php     | prices-drop.tpl        |                                                             |
| product-sort.php        |                              | product-sort.tpl       |                                                             |
| product.php             |                              |                        |                                                             |
| products-comparison.php |                              |                        |                                                             |
| search.php              | SearchController.php         | search.tpl             | Handles product search.                                     |
| sitemap.php             | SitemapController.php        |                        | Handles the sitemap.                                        |
| statistics.php          | StatisticsController.php     |                        |                                                             |
| stores.php              | StoresController.php         | stores.tpl             | Handles the store map.                                      |
| supplier.php            | SupplierController.php       | supplier.tpl           | Handles the list of suppliers.                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.prestashop-project.org/1-5-documentation/english-documentation/developer-guide/developer-tutorials/controllers-correspondence-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
